### Method

# Gio Cancellable release_fd

since: 2.22

#### Declaration [src]

    void
    g_cancellable_release_fd (
      GCancellable* cancellable
    )

#### Description [src]

Releases a resources previously allocated by `g_cancellable_get_fd()` or g_cancellable_make_pollfd().

For compatibility reasons with older releases, calling this function is not strictly required, the resources will be automatically freed when the `cancellable` is finalized. However, the `cancellable` will block scarce file descriptors until it is finalized if this function is not called. This can cause the application to run out of file descriptors when many `GCancellables` are used at the same time.

Note that in the event that a `GCancellable::cancelled` signal handler is currently running, this call will block until the handler has finished. Calling this function from a signal handler will therefore result in a deadlock.

Available since: 2.22

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.